Skip to content
Permalink
Browse files
fix: require google-api-core >= 1.22.2 (#90)
This PR was generated using Autosynth. 🌈

Synth log will be available here:
https://source.cloud.google.com/results/invocations/f050d388-263d-47cb-a29d-8bc73a06bf90/targets

- [ ] To automatically regenerate this PR, check this box. (May take up to 24 hours.)

Source-Link: googleapis/synthtool@86ed43d
Source-Link: googleapis/synthtool@f5c5904
  • Loading branch information
yoshi-automation committed Apr 15, 2021
1 parent 1d32d3c commit 3f0fff779d880df0648b7bcf59df01c4cacd4ca3
Showing with 25 additions and 121 deletions.
  1. +1 −1 .pre-commit-config.yaml
  2. +15 −11 noxfile.py
  3. +1 −3 setup.py
  4. +6 −104 synth.metadata
  5. +2 −2 testing/constraints-3.6.txt
@@ -12,6 +12,6 @@ repos:
hooks:
- id: black
- repo: https://gitlab.com/pycqa/flake8
rev: 3.8.4
rev: 3.9.0
hooks:
- id: flake8
@@ -18,6 +18,7 @@

from __future__ import absolute_import
import os
import pathlib
import shutil

import nox
@@ -30,6 +31,8 @@
SYSTEM_TEST_PYTHON_VERSIONS = ["3.8"]
UNIT_TEST_PYTHON_VERSIONS = ["3.6", "3.7", "3.8", "3.9"]

CURRENT_DIRECTORY = pathlib.Path(__file__).parent.absolute()

# 'docfx' is excluded since it only needs to run in 'docs-presubmit'
nox.options.sessions = [
"unit",
@@ -84,13 +87,15 @@ def lint_setup_py(session):

def default(session):
# Install all test dependencies, then install this package in-place.
session.install("asyncmock", "pytest-asyncio")

session.install(
"mock", "pytest", "pytest-cov",
constraints_path = str(
CURRENT_DIRECTORY / "testing" / f"constraints-{session.python}.txt"
)
session.install("asyncmock", "pytest-asyncio", "-c", constraints_path)

session.install("-e", ".")
session.install("mock", "pytest", "pytest-cov", "-c", constraints_path)

session.install("-e", ".", "-c", constraints_path)

# Run py.test against the unit tests.
session.run(
@@ -117,6 +122,9 @@ def unit(session):
@nox.session(python=SYSTEM_TEST_PYTHON_VERSIONS)
def system(session):
"""Run the system test suite."""
constraints_path = str(
CURRENT_DIRECTORY / "testing" / f"constraints-{session.python}.txt"
)
system_test_path = os.path.join("tests", "system.py")
system_test_folder_path = os.path.join("tests", "system")

@@ -141,10 +149,8 @@ def system(session):

# Install all test dependencies, then install this package into the
# virtualenv's dist-packages.
session.install(
"mock", "pytest", "google-cloud-testutils",
)
session.install("-e", ".")
session.install("mock", "pytest", "google-cloud-testutils", "-c", constraints_path)
session.install("-e", ".", "-c", constraints_path)

# Run py.test against the system tests.
if system_test_exists:
@@ -205,9 +211,7 @@ def docfx(session):
"""Build the docfx yaml files for this library."""

session.install("-e", ".")
# sphinx-docfx-yaml supports up to sphinx version 1.5.5.
# https://github.com/docascode/sphinx-docfx-yaml/issues/97
session.install("sphinx==1.5.5", "alabaster", "recommonmark", "sphinx-docfx-yaml")
session.install("sphinx", "alabaster", "recommonmark", "gcp-sphinx-docfx-yaml")

shutil.rmtree(os.path.join("docs", "_build"), ignore_errors=True)
session.run(
@@ -42,12 +42,10 @@
platforms="Posix; MacOS X; Windows",
include_package_data=True,
install_requires=(
"google-api-core[grpc] >= 1.22.0, < 2.0.0dev",
"google-api-core[grpc] >= 1.22.2, < 2.0.0dev",
"proto-plus >= 1.4.0",
),
python_requires=">=3.6",
setup_requires=["libcst >= 0.2.5"],
scripts=["scripts/fixup_keywords.py"],
classifiers=[
"Development Status :: 4 - Beta",
"Intended Audience :: Developers",
@@ -3,30 +3,30 @@
{
"git": {
"name": ".",
"remote": "https://github.com/googleapis/python-bigquery-reservation.git",
"sha": "c67c36c17a155092f9615ed1e1ed7042d5ffc31b"
"remote": "git@github.com:googleapis/python-bigquery-reservation.git",
"sha": "4b3594f05cc5bd11e0a44a5a5f96f6b0a24ccfca"
}
},
{
"git": {
"name": "googleapis",
"remote": "https://github.com/googleapis/googleapis.git",
"sha": "149a3a84c29c9b8189576c7442ccb6dcf6a8f95b",
"internalRef": "364411656"
"sha": "56fc6d43fed71188d7e18f3ca003544646c4ab35",
"internalRef": "366346972"
}
},
{
"git": {
"name": "synthtool",
"remote": "https://github.com/googleapis/synthtool.git",
"sha": "79c8dd7ee768292f933012d3a69a5b4676404cda"
"sha": "ff39353f34a36e7643b86e97724e4027ab466dc6"
}
},
{
"git": {
"name": "synthtool",
"remote": "https://github.com/googleapis/synthtool.git",
"sha": "79c8dd7ee768292f933012d3a69a5b4676404cda"
"sha": "ff39353f34a36e7643b86e97724e4027ab466dc6"
}
}
],
@@ -40,103 +40,5 @@
"generator": "bazel"
}
}
],
"generatedFiles": [
".coveragerc",
".flake8",
".github/CONTRIBUTING.md",
".github/ISSUE_TEMPLATE/bug_report.md",
".github/ISSUE_TEMPLATE/feature_request.md",
".github/ISSUE_TEMPLATE/support_request.md",
".github/PULL_REQUEST_TEMPLATE.md",
".github/header-checker-lint.yml",
".github/release-please.yml",
".github/snippet-bot.yml",
".gitignore",
".kokoro/build.sh",
".kokoro/continuous/common.cfg",
".kokoro/continuous/continuous.cfg",
".kokoro/docker/docs/Dockerfile",
".kokoro/docker/docs/fetch_gpg_keys.sh",
".kokoro/docs/common.cfg",
".kokoro/docs/docs-presubmit.cfg",
".kokoro/docs/docs.cfg",
".kokoro/populate-secrets.sh",
".kokoro/presubmit/common.cfg",
".kokoro/presubmit/presubmit.cfg",
".kokoro/publish-docs.sh",
".kokoro/release.sh",
".kokoro/release/common.cfg",
".kokoro/release/release.cfg",
".kokoro/samples/lint/common.cfg",
".kokoro/samples/lint/continuous.cfg",
".kokoro/samples/lint/periodic.cfg",
".kokoro/samples/lint/presubmit.cfg",
".kokoro/samples/python3.6/common.cfg",
".kokoro/samples/python3.6/continuous.cfg",
".kokoro/samples/python3.6/periodic-head.cfg",
".kokoro/samples/python3.6/periodic.cfg",
".kokoro/samples/python3.6/presubmit.cfg",
".kokoro/samples/python3.7/common.cfg",
".kokoro/samples/python3.7/continuous.cfg",
".kokoro/samples/python3.7/periodic-head.cfg",
".kokoro/samples/python3.7/periodic.cfg",
".kokoro/samples/python3.7/presubmit.cfg",
".kokoro/samples/python3.8/common.cfg",
".kokoro/samples/python3.8/continuous.cfg",
".kokoro/samples/python3.8/periodic-head.cfg",
".kokoro/samples/python3.8/periodic.cfg",
".kokoro/samples/python3.8/presubmit.cfg",
".kokoro/test-samples-against-head.sh",
".kokoro/test-samples-impl.sh",
".kokoro/test-samples.sh",
".kokoro/trampoline.sh",
".kokoro/trampoline_v2.sh",
".pre-commit-config.yaml",
".trampolinerc",
"CODE_OF_CONDUCT.md",
"CONTRIBUTING.rst",
"LICENSE",
"MANIFEST.in",
"docs/_static/custom.css",
"docs/_templates/layout.html",
"docs/bigquery_reservation_v1/reservation_service.rst",
"docs/bigquery_reservation_v1/services.rst",
"docs/bigquery_reservation_v1/types.rst",
"docs/conf.py",
"docs/multiprocessing.rst",
"google/cloud/bigquery_reservation/__init__.py",
"google/cloud/bigquery_reservation/py.typed",
"google/cloud/bigquery_reservation_v1/__init__.py",
"google/cloud/bigquery_reservation_v1/py.typed",
"google/cloud/bigquery_reservation_v1/services/__init__.py",
"google/cloud/bigquery_reservation_v1/services/reservation_service/__init__.py",
"google/cloud/bigquery_reservation_v1/services/reservation_service/async_client.py",
"google/cloud/bigquery_reservation_v1/services/reservation_service/client.py",
"google/cloud/bigquery_reservation_v1/services/reservation_service/pagers.py",
"google/cloud/bigquery_reservation_v1/services/reservation_service/transports/__init__.py",
"google/cloud/bigquery_reservation_v1/services/reservation_service/transports/base.py",
"google/cloud/bigquery_reservation_v1/services/reservation_service/transports/grpc.py",
"google/cloud/bigquery_reservation_v1/services/reservation_service/transports/grpc_asyncio.py",
"google/cloud/bigquery_reservation_v1/types/__init__.py",
"google/cloud/bigquery_reservation_v1/types/reservation.py",
"mypy.ini",
"noxfile.py",
"renovate.json",
"samples/AUTHORING_GUIDE.md",
"samples/CONTRIBUTING.md",
"samples/snippets/noxfile.py",
"scripts/decrypt-secrets.sh",
"scripts/fixup_bigquery_reservation_v1_keywords.py",
"scripts/readme-gen/readme_gen.py",
"scripts/readme-gen/templates/README.tmpl.rst",
"scripts/readme-gen/templates/auth.tmpl.rst",
"scripts/readme-gen/templates/auth_api_key.tmpl.rst",
"scripts/readme-gen/templates/install_deps.tmpl.rst",
"scripts/readme-gen/templates/install_portaudio.tmpl.rst",
"setup.cfg",
"testing/.gitignore",
"tests/unit/gapic/bigquery_reservation_v1/__init__.py",
"tests/unit/gapic/bigquery_reservation_v1/test_reservation_service.py"
]
}
@@ -5,5 +5,5 @@
#
# e.g., if setup.py has "foo >= 1.14.0, < 2.0.0dev",
# Then this file should have foo==1.14.0
google-api-core==1.22.0
proto-plus==1.4.0
google-api-core==1.22.2
proto-plus==1.4.0

0 comments on commit 3f0fff7

Please sign in to comment.